aboutsummaryrefslogtreecommitdiffstats
path: root/net/freeradius2/files
diff options
context:
space:
mode:
authorbrian <brian@FreeBSD.org>2002-05-11 02:59:23 +0800
committerbrian <brian@FreeBSD.org>2002-05-11 02:59:23 +0800
commitdb0f97dae8057cb99f4574ff5378e6688e268922 (patch)
tree5c2c608a4db4d9261a3dcb8e7288e29735e7ef4e /net/freeradius2/files
parent6a3fde5e2059b5a8ae6594dab65881cc7ddd5bbe (diff)
downloadfreebsd-ports-gnome-db0f97dae8057cb99f4574ff5378e6688e268922.tar.gz
freebsd-ports-gnome-db0f97dae8057cb99f4574ff5378e6688e268922.tar.zst
freebsd-ports-gnome-db0f97dae8057cb99f4574ff5378e6688e268922.zip
Add freeradius, a RADIUS daemon implementation compatible with
livingston radiusd-2.01. This RADIUS implementation implements MS-CHAP authentication whereas most or all of the others don't. Forced into it by: wollman (after removing freeradius-devel)
Diffstat (limited to 'net/freeradius2/files')
-rw-r--r--net/freeradius2/files/patch-aa27
-rw-r--r--net/freeradius2/files/radiusd.sh39
2 files changed, 66 insertions, 0 deletions
diff --git a/net/freeradius2/files/patch-aa b/net/freeradius2/files/patch-aa
new file mode 100644
index 000000000000..0f0edae4d5f0
--- /dev/null
+++ b/net/freeradius2/files/patch-aa
@@ -0,0 +1,27 @@
+--- Makefile.orig Wed Aug 22 18:31:55 2001
++++ Makefile Fri May 10 11:04:48 2002
+@@ -31,24 +31,6 @@
+ $(INSTALL) -m 644 $$p $(R)$(mandir)/man$$i; \
+ done \
+ done
+- @echo "Creating/updating files in $(R)$(raddbdir)"; \
+- $(INSTALL) -d -m 755 $(R)$(raddbdir); \
+- cd raddb; \
+- for i in [a-c]* [e-z]*; do \
+- [ $$i != radiusd.conf.in -a ! -f $(R)$(raddbdir)/$$i ] && \
+- $(INSTALL) -m 644 $$i $(R)$(raddbdir); \
+- done; \
+- for i in dictionary*; do \
+- [ ! -f $(R)$(raddbdir)/$$i ] && $(INSTALL) -m 644 $$i $(R)$(raddbdir); \
+- if [ "`find $$i -newer $(R)$(raddbdir)/$$i`" ]; then \
+- echo "** $(R)$(raddbdir)/$$i"; \
+- nt=1; \
+- fi; \
+- done; \
+- if [ "$$nt" ]; then \
+- echo "** The samples in ../raddb are newer than these files";\
+- echo "** Please investigate and copy manually if appropriate";\
+- fi
+
+ common:
+ @for dir in $(SUBDIRS); do \
diff --git a/net/freeradius2/files/radiusd.sh b/net/freeradius2/files/radiusd.sh
new file mode 100644
index 000000000000..fd077412dafa
--- /dev/null
+++ b/net/freeradius2/files/radiusd.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# RADIUSD_FLAGS='-xxyzsf -l stdout'
+RADIUSD_FLAGS=
+
+if [ -r /etc/defaults/rc.conf ]; then
+ . /etc/defaults/rc.conf
+ source_rc_confs
+elif [ -r /etc/rc.conf ]; then
+ . /etc/rc.conf
+fi
+
+prog=$(realpath $0) || exit 1
+dir=${prog%/*}
+PREFIX=${dir%/etc/rc.d}
+
+if [ ."$dir" = ."$prog" -o ."$PREFIX" = ."$dir" ]
+then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case $1 in
+start)
+ touch /var/run/radiusd.pid
+ chown nobody:nobody /var/run/radiusd.pid
+
+ "$PREFIX"/sbin/radiusd $RADIUSD_FLAGS && echo -n " radiusd"
+ ;;
+stop)
+ killall radiusd && echo -n ' radiusd'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ exit 64
+ ;;
+esac
+
+exit 0